package dev.shadowsoffire.apotheosis.mixin;

import net.minecraft.sounds.SoundEvent;
import org.spongepowered.asm.mixin.gen.Invoker;
import net.minecraft.world.damagesource.DamageSource;
import net.minecraft.world.entity.LivingEntity;
import org.spongepowered.asm.mixin.Mixin;

@Mixin({ LivingEntity.class })
public interface LivingEntityInvoker
{
    @Invoker
    void callActuallyHurt(final DamageSource p0, final float p1);
    
    @Invoker
    boolean callCheckTotemDeathProtection(final DamageSource p0);
    
    @Invoker
    SoundEvent callGetDeathSound();
    
    @Invoker
    float callGetSoundVolume();
}
